<?php
/**
 * Plugin Name: AdScale
 * Plugin URI: https://www.adscale.com/integration/#woocommerce
 * Description: AdScale plugin allows you to automate Ecommerce advertising across all channels and drive more sales to your store. Easily create, manage & optimize ads on one platform.
 * Version: 2.1.0
 * Author: AdScale LTD
 * Author URI: https://www.adscale.com
 * Text Domain: adscale
 * Requires at least: 4.9.11
 * Requires PHP: 5.6
 * WC requires at least: 3.3.0
 * WC tested up to: 5.9
 * Woo: 7498716:36cdb4c1e112fe3a8519834a4626e797
 */

use AdScale\App;

defined( 'ABSPATH' ) || exit; // Exit if accessed directly

define( 'ADSCALE_INTERNAL_MODULE_VERSION', 'v20221211' );
define( 'ADSCALE_PLUGIN_DIR', __DIR__ );
define( 'ADSCALE_PLUGIN_FILE', __FILE__ );
define( 'ADSCALE_PLUGIN_URL', plugin_dir_url( __FILE__ ) );

//  helper functions for developers
require_once ADSCALE_PLUGIN_DIR . '/dev.php';


// autoload
require_once ADSCALE_PLUGIN_DIR . '/autoload.php';


$app    = App::instance();
$config = apply_filters( 'adscale/config', require ADSCALE_PLUGIN_DIR . '/src/config/config.php' );

try {
	$app->run( $config );
} catch ( Exception $exception ) {
	wlog( $exception );
	header( 'HTTP/1.1 503 Service Temporarily Unavailable' );
	header( 'Status: 503 Service Temporarily Unavailable' );
	header( 'Retry-After: 300' );// 300 seconds.
	die();
}
