<?php

namespace AdScale\Handlers;

use AdScale\Helpers\Helper;

defined( 'ABSPATH' ) || exit; // Exit if accessed directly


class MetaTags {
	
	public static function put_google_site_verification_tag() {
		$value = Helper::getGVCode();
		if ( ! $value && is_front_page() ) {
			Helper::resolveGVCode();
			$value = Helper::getGVCode();
		}
		
		if ( $value ) {
			printf(
				"\n" . '<meta name="google-site-verification" content="%s">' . "\n",
				esc_attr( $value )
			);
		}
	}
	
	
	public static function put_facebook_domain_verification_tag() {
		$value = Helper::getFVCode();
		if ( ! $value && is_front_page() ) {
			Helper::resolveFVCode();
			$value = Helper::getFVCode();
		}
		
		if ( $value ) {
			printf(
				"\n" . '<meta name="facebook-domain-verification" content="%s" />' . "\n",
				esc_attr( $value )
			);
		}
	}
}
