<?php

namespace AdScale\ServiceApi;

defined( 'ABSPATH' ) || exit; // Exit if accessed directly


class ServiceApiException extends \Exception {
	
	protected $apiErrorCode;
	
	protected $apiErrorDetails;
	
	
	public function __construct( $message, $apiErrorCode = 'S000', $apiErrorDetails = '' ) {
		$this->apiErrorCode    = (string) $apiErrorCode;
		$this->apiErrorDetails = (string) $apiErrorDetails;
		parent::__construct( $message, 0 );
	}
	
	
	public function __toString() {
		return __CLASS__ . ": [{$this->apiErrorCode}]: {$this->message} {$this->apiErrorDetails}\n";
	}
	
	
	/**
	 * Return error code
	 *
	 * @return string
	 */
	public function getApiErrorCode() {
		return $this->apiErrorCode;
	}
	
	
	/**
	 * Return error details
	 *
	 * @return string
	 */
	public function getApiErrorDetails() {
		return $this->apiErrorDetails;
	}
}
