<?php
$_allowed_tags = array(
	
	// Sections
	
	'article' => array(),
	'section' => array(),
	'nav'     => array(),
	'aside'   => array(),
	'h1'      => array(),
	'h2'      => array(),
	'h3'      => array(),
	'h4'      => array(),
	'h5'      => array(),
	'h6'      => array(),
	'header'  => array(),
	'footer'  => array(),
	'address' => array(),
	
	// Grouping Content
	
	'p'          => array(),
	'hr'         => array(
		'width' => array(),
		'size'  => array(),
	),
	'pre'        => array(
		'width' => array(),
	),
	'blockquote' => array(
		'cite' => array(),
	),
	'ol'         => array(
		'type' => array(),
	),
	'ul'         => array(
		'type' => array(),
	),
	'li'         => array(
		'type'  => array(),
		'value' => array(),
	),
	'dl'         => array(),
	'dt'         => array(),
	'dd'         => array(),
	'figure'     => array(),
	'figcaption' => array(),
	'div'        => array(),
	'main'       => array(),
	
	// Text-level semantics
	
	'a'      => array(
		'href'     => array(),
		'title'    => array(),
		'target'   => array(),
		'download' => array(),
	),
	'em'     => array(),
	'strong' => array(),
	'small'  => array(),
	's'      => array(),
	'cite'   => array(),
	'q'      => array(
		'cite' => array(),
	),
	'dfn'    => array(),
	'abbr'   => array(),
	'data'   => array(),
	'time'   => array(),
	'code'   => array(),
	'var'    => array(),
	'samp'   => array(),
	'kbd'    => array(),
	'sub'    => array(),
	'sup'    => array(),
	'i'      => array(),
	'b'      => array(),
	'u'      => array(),
	'mark'   => array(),
	'ruby'   => array(),
	'rb'     => array(),
	'rt'     => array(),
	'rtc'    => array(),
	'rp'     => array(),
	'bdi'    => array(),
	'bdo'    => array(),
	'span'   => array(),
	'br'     => array(),
	'wbr'    => array(),
	
	// Edits
	
	'ins' => array(
		'cite' => array(),
	),
	'del' => array(
		'cite' => array(),
	),
	
	// other
	//'source' => array(),
	
	// SVG
	
	'svg'            => array(),
	'g'              => array(),
	'path'           => array(),
	'glyph'          => array(),
	'glyphref'       => array(),
	'marker'         => array(),
	'view'           => array(),
	'circle'         => array(),
	'line'           => array(),
	'polygon'        => array(),
	'polyline'       => array(),
	'rect'           => array(),
	'text'           => array(),
	'textpath'       => array(),
	'tref'           => array(),
	'tspan'          => array(),
	'clippath'       => array(),
	'filter'         => array(),
	'lineargradient' => array(),
	'radialgradient' => array(),
	'mask'           => array(),
	'pattern'        => array(),
	'vkern'          => array(),
	'hkern'          => array(),
	'defs'           => array(),
	'use'            => array(),
	'symbol'         => array(),
	'desc'           => array(),
	'title'          => array(),
	
	// Tabular data
	
	'table'    => array(
		'width'   => array(),
		'bgcolor' => array(),
		'border'  => array(),
		'char'    => array(
			'char' => array(),
		),
	),
	'caption'  => array(),
	'colgroup' => array(
		'width'  => array(),
		'align'  => array(),
		'valign' => array(),
	),
	'col'      => array(
		'width'  => array(),
		'align'  => array(),
		'valign' => array(),
	),
	'tbody'    => array(
		'align'  => array(),
		'char'   => array(),
		'valign' => array(),
	),
	'thead'    => array(
		'align'  => array(),
		'valign' => array(),
	),
	'tfoot'    => array(
		'align'  => array(),
		'valign' => array(),
	),
	'tr'       => array(
		'valign' => array(),
	),
	'td'       => array(
		'width'   => array(),
		'align'   => array(),
		'bgcolor' => array(),
		'valign'  => array(),
	),
	'th'       => array(
		'width'   => array(),
		'align'   => array(),
		'bgcolor' => array(),
		'valign'  => array(),
	),
	
	// Forms
	'form'     => array(
		'value'      => array(),
		'type'       => array(),
		'name'       => array(),
		'action'     => array(),
		'method'     => array(),
		'enctype'    => array(),
		'novalidate' => array(),
		'target'     => array(),
	),
	'label'    => array(
		'for' => array(),
	),
	'button'   => array(
		'value' => array(),
		'type'  => array(),
		'name'  => array(),
	),
	'input'    => array(
		'value' => array(),
		'type'  => array(),
		'name'  => array(),
	),
	'textarea' => array(
		'value' => array(),
		'type'  => array(),
		'name'  => array(),
		'cols'  => array(),
		'rows'  => array(),
	),
	'submit'   => array(
		'value' => array(),
		'type'  => array(),
		'name'  => array(),
	),
	'select'   => array(
		'value' => array(),
		'type'  => array(),
		'name'  => array(),
	),
	'option'   => array(
		'value'    => array(),
		'type'     => array(),
		'name'     => array(),
		'selected' => array(),
	),
	
	// Additional
	'style'   => array(
		'type'     => array(),
	),

);

// Standard attributes

$std_attrs = array(
	'id'        => array(),
	'class'     => array(),
	'title'     => array(),
	'dir'       => array(),
	'lang'      => array(),
	'accesskey' => array(),
	'tabindex'  => array(),
	'hidden'    => array(),
	'disabled'  => array(),
);



foreach ( $_allowed_tags as $_allowed_tag => $attrs ) {
	$_allowed_tags[ $_allowed_tag ] = array_merge( $attrs, $std_attrs );
}


return $_allowed_tags;
